/*
 * SVGImage.java
 *
 * Autor: Piotr Achinger <piotr.achinger at gmail.com>
 */
package dendrarium.trees.svg;

/**
 *
 * @author Piotr Achinger <piotr.achinger at gmail.com>
 */
public class SVGImage {

    private byte[] data;

    private String docId;

    private String imageUrl;

    int posX;

    int posY;

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public String getDocId() {
        return docId;
    }

    public void setDocId(String docId) {
        this.docId = docId;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public int getPosX() {
        return posX;
    }

    public void setPosX(int posX) {
        this.posX = posX;
    }

    public int getPosY() {
        return posY;
    }

    public void setPosY(int posY) {
        this.posY = posY;
    }

    

    public SVGImage(byte[] data, String docId, String imageUrl) {
        this.data = data;
        this.docId = docId;
        this.imageUrl = imageUrl;
        this.posX = 0;
        this.posY = 0;
    }

    public SVGImage(byte[] data, String docId, String imageUrl, int posX, int posY) {
        this.data = data;
        this.docId = docId;
        this.imageUrl = imageUrl;
        this.posX = posX;
        this.posY = posY;
    }
}
